diff --git a/src/common/Parameter.cpp b/src/common/Parameter.cpp
index d3f7c2a3f..c8466a71d 100644
--- a/src/common/Parameter.cpp
+++ b/src/common/Parameter.cpp
@@ -2135,8 +2135,11 @@ void Parameter::get_display(char* txt, bool external, float ef)
                   case fut_vintageladder:
                      sprintf( txt, "%s", fut_vintageladder_subtypes[i]);
                      break;
-                  case fut_obxd:
-                     sprintf( txt, "%s", fut_obxd_subtypes[i]);
+                  case fut_obxd_2pole:
+                     sprintf( txt, "%s", fut_obxd_2p_subtypes[i]);
+                     break;
+                  case fut_obxd_4pole:
+                     sprintf( txt, "%s", fut_obxd_4p_subtypes[i]);
                      break;
 #if SURGE_EXTRA_FILTERS
 #endif                     
diff --git a/src/common/SurgeStorage.h b/src/common/SurgeStorage.h
index a91c8a6ba..1b3602a25 100644
--- a/src/common/SurgeStorage.h
+++ b/src/common/SurgeStorage.h
@@ -364,7 +364,8 @@ enum fu_type
    fut_comb,
    fut_SNH,
    fut_vintageladder,
-   fut_obxd,
+   fut_obxd_2pole,
+   fut_obxd_4pole,
    n_fu_type,
 };
 const char fut_names[n_fu_type][32] =
@@ -380,7 +381,8 @@ const char fut_names[n_fu_type][32] =
    "Comb",
    "Sample & Hold",
    "Vintage Ladder",
-   "Obxd"
+   "OB-Xd 2 Pole",
+   "OB-Xd 4 Pole",
 };
 
 const char fut_bp_subtypes[6][32] =
@@ -431,9 +433,10 @@ const char fut_vintageladder_subtypes[6][32] =
    "Dampened",
    "Dampened Compensated",
 };
-const char fut_obxd_subtypes[2][32] = {"12 dB/oct", "24 dB/oct"};
+const char fut_obxd_2p_subtypes[1][32] = {"12 dB/oct"};
+const char fut_obxd_4p_subtypes[1][32] = {"24 dB/oct"};
 
-const int fut_subcount[n_fu_type] = {0, 3, 3, 4, 3, 3, 6, 4, 4, 0, 4, 2};
+const int fut_subcount[n_fu_type] = {0, 3, 3, 4, 3, 3, 6, 4, 4, 0, 4, 1, 1 };
 
 enum fu_subtype
 {
diff --git a/src/common/dsp/FilterCoefficientMaker.cpp b/src/common/dsp/FilterCoefficientMaker.cpp
index 34690b975..3086e0173 100644
--- a/src/common/dsp/FilterCoefficientMaker.cpp
+++ b/src/common/dsp/FilterCoefficientMaker.cpp
@@ -82,10 +82,13 @@ void FilterCoefficientMaker::MakeCoeffs(
          break;
       }
       break;
-   case fut_obxd:
-      ObxdFilter::makeCoefficients(this, Freq, Reso, SubType, storageI);
+   case fut_obxd_2pole:
+      ObxdFilter::makeCoefficients(this, ObxdFilter::TWO_POLE, Freq, Reso, SubType, storageI);
       break;
-#if SURGE_EXTRA_FILTERS      
+   case fut_obxd_4pole:
+      ObxdFilter::makeCoefficients(this, ObxdFilter::FOUR_POLE, Freq, Reso, SubType, storageI);
+      break;
+#if SURGE_EXTRA_FILTERS
 #endif      
    };
 }
diff --git a/src/common/dsp/QuadFilterUnit.cpp b/src/common/dsp/QuadFilterUnit.cpp
index e135702d6..cfa7d698b 100644
--- a/src/common/dsp/QuadFilterUnit.cpp
+++ b/src/common/dsp/QuadFilterUnit.cpp
@@ -794,15 +794,12 @@ FilterUnitQFPtr GetQFPtrFilterUnit(int type, int subtype)
          return VintageLadder::Huov::process;
       }
       break;
-   case fut_obxd:
-         switch(subtype)
-         {
-         case 0:
-            return ObxdFilter::process_2_pole;
-         case 1:
-            return ObxdFilter::process_4_pole;
-         }
-         break;
+   case fut_obxd_2pole:
+      return ObxdFilter::process_2_pole;
+      break;
+   case fut_obxd_4pole:
+      return ObxdFilter::process_4_pole;
+      break;
    default:
       // SOFTWARE ERROR
       break;
diff --git a/src/common/dsp/filters/Obxd.cpp b/src/common/dsp/filters/Obxd.cpp
index 6774bc1c1..4d3ece4a2 100644
--- a/src/common/dsp/filters/Obxd.cpp
+++ b/src/common/dsp/filters/Obxd.cpp
@@ -124,7 +124,7 @@ namespace ObxdFilter {
       return mc;
    }
 
-   void makeCoefficients(FilterCoefficientMaker *cm, float freq, float reso, int sub, SurgeStorage *storage)
+   void makeCoefficients(FilterCoefficientMaker *cm, Poles p, float freq, float reso, int sub, SurgeStorage *storage)
    {
       float rcrate = sqrt((44000 * dsamplerate_os_inv));
       float rcor = (500.0 / 44000) * rcrate;
diff --git a/src/common/dsp/filters/Obxd.h b/src/common/dsp/filters/Obxd.h
index 7501069b1..2e5b23ad2 100644
--- a/src/common/dsp/filters/Obxd.h
+++ b/src/common/dsp/filters/Obxd.h
@@ -4,7 +4,11 @@
 #include "QuadFilterUnit.h"
 
 namespace ObxdFilter {
-   void makeCoefficients(FilterCoefficientMaker *cm, float freq, float reso, int sub, SurgeStorage* storage);
+   enum Poles {
+      TWO_POLE,
+      FOUR_POLE
+   };
+   void makeCoefficients(FilterCoefficientMaker *cm, Poles p, float freq, float reso, int sub, SurgeStorage* storage);
    __m128 process_2_pole(QuadFilterUnitState * __restrict f, __m128 sample);
    __m128 process_4_pole(QuadFilterUnitState * __restrict f, __m128 sample);
 }
diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index 2ba986390..9b854c60b 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -2309,6 +2309,9 @@ void SurgeGUIEditor::openOrRecreateEditor()
          frame->addView(lb);
       }
    }
+#if DEBUG
+   splatto
+#endif
 
    if( editorOverlay )
    {
